Index: orxonox/branches/automake/article.txt
===================================================================
--- orxonox/branches/automake/article.txt	(revision 1950)
+++ 	(revision )
@@ -1,35 +1,0 @@
-
-Open Source Projekt Orxonox: Join us now!
-
-Ihr wisst alle, was Open Source Software ist. Das sagt euch nichts? Lasst es mich kurz erklren: Open Source beinhaltet die Freiheit, Software gratis benutzen, verbessern und weiterentwickeln zu drfen. 
-In der Praxis heisst das, ihr erhaltet den Source Code, ihr macht daraus was ihr wollt und stellt es der Welt wieder zur Verfgung. Durch diese Freiheiten knnen mehrere Programmierer ihre Strken ausspielen, damit das Endprodukt optimal wird. Nun, das war noch nicht die ganze Wahrheit. Open Source ist nicht nur eine bestimmte Art Software zu entwickeln, es ist bei verschiedenen Programmierern schon zu einer Art Religion geworden. Open Source Programmierer werden beflgelt von der Idee, dass ein Programmiercode, der von tausenden von Menschen auf der Erde angesehen und verbessert wurde, eine Reife erhlt, die nicht von Einzelpersonen oder Teams erbracht werden knnte. Dazu kommt der Gedanke, dass viele Menschen, oft verstreut ber den ganzen Globus, an einem Problem arbeiten, was das globale Verstndnis frdert.
-Alles Klar? Dann naechsten Abschnitt ueberspringen, bevor es langweilig wird :)
-
-Dass eine Zusammenarbeit, ohne dass man sich sehen kann, etwas Kompliziertes ist, leuchtet euch wohl allen ein. Was sind die Voraussetzungen, damit man Millionen von Lichtjahren Distanzen zum Trotz, miteinander arbeiten kann? Kommunikation und Teilen des erzeugten Codes. Im Verlaufe der Jahre haben sich mehrere Mglichkeiten durchgesetzt, um diese Voraussetzungen zu erfllen. Fr die Kommunikation sind dies: Email, Mailing-Lists und IRC oder aber ein neuartigeres Chatprogramm (ICQ, AIM, MSN, Yahoo,...).
-Der Urvater der Kaffeekrnzchen, IRC ist alt, sehr alt. Sehr wahrscheinlich haben schon die alten Griechen IRC gebraucht, um ihre Erfindungen untereinander auszutauschen (eine Art altmodische Open Source Community).
-Fr das Abstimmen der Arbeit aufeinander werden die Programme CVS und SVN (Subversion) gebraucht. Diese beiden Programme sind Versionskontrollprogramme. Sie helfen ein Projekt immer auf dem neuesten Stand zu halten und verhindern, dass der eine mit seinen nderungen berschreibt, was der andere geschrieben hat (das kennt ihr sicher von Word oder von sonstwo). Diese Programme ermglichen also beispielsweise, dass beliebig viele Personen gleichzeitig an einem File arbeiten.
-
-Jetzt hab ich euch sicher soweit, dass ihr entweder angewidert den "Blitz" zuschlgt oder aber ihr erliegt dem Lockruf der Open Source Software Community.
-Eine Erhhung des Geekfaktors ntig? Lest weiter...
-
-Zugegeben, ich schreibe diesen Artikel nicht nur, um die Aufmerksamkeit auf Open Source zu lenken. Ein Teil der Aufmerksamkeit wrde ich gerne auf ein eigenes Open Source Projekt lenken: Orxonox.
-Trommelwirbel, Fanfare: Orxonox ist unser eigenes kleines Open Source Projekt, ein Game, dessen Genre schon fast am aussterben ist: Ein Arcade Game. 
-Environment: OpenGL, Linux X11, Windows, Mac
-License: GNU Public Licence (GPL)
-Operating System: Linux (primary), Windows (secondary), MacOSX (wenn mglich)
-Language: C++ OOP (Objektorientiert :) )
-Team: Unter "wir" verstehen wir momentan Patrick Bnzli, Benjamin Grauer, Johannes Bader, Simon Hofmann, Adrian Buerli und David Grtter.
-
-Seit etwa einem Monat arbeiten wir pausenlos an einem Framework fr dieses Game. Und nun haben wir es vollbracht: man kann einen Wrfel steuern, der seinerseits kleine Wrfel abschiessen kann, whrend am Boden ein paar schwer erahnbare Berge vorbeisausen. Die Grafik ist in OpenGL implementiert und zeichnet unsere Welt in 3D, momentan noch in Wireframe (alles Striche, noch keine Oberflchen). Ihr werden jetzt vielleicht sagen: Also was soll denn das fr ein Game werden?
-1. Das sind die Grundlagen, am besten macht man alles schn Schritt fr Schritt...
-2. Orxonox soll nicht das mega-ultra-krasse Arcade Game werden, dass uns alle berhmt werden laesst. Es macht Spass daran zu arbeiten. Insbesondere macht es Spass, naechtelang an kleinen Algorithmen sich die Zaehne auszubeissen und dann am Schluss einen Code zu haben, der stolz 2fps schneller laeuft...
-
-And now, I'll make you an offer, you can't refuse :) Wir suchen Programmierinnen und Modler, Soundarchitekten und Grafikinnen mit Geek-Level 4.3, die Lust htten bei uns mitzumachen. Wenn du dich angesprochen fhlst, oder einfach nur Lust hast, dann bist du sehr willkommen.
-Du willst nichts mit dem Computer machen und trotzdem helfen? Hmm... Wir freuen uns natrlich immer ber kleinere nicht-finanzielle Gaben wie Bier, Wein, Kaffee, Teddybren, Grill-Artikel, nette Mails, bse Mails, Bugreports, Opfergaben, etc.
-Fuer alle zukuenftigen Orxonox-developer die Moeglichkeit uns kennenzulernen: Orxonox Convention am Mittwoch, 09.Juni, ab 1400Uhr im StuZ Foyer. Unsere Themen sind:  Linux/Windows einrichten, damit Orxonox drauf laeuft und man programmieren kann. Einfuehrung in den Source Code und ein paar Vortraege zu: C++ OOP, OpenGL Introduction, Subversion und vieles mehr. Und dann coden mit Bier und Sound, so wie man's gern hat...
-Falls ihr an der Convention vorbeischauen wollt, schreibt mir doch eine Mail: boenzlip@ee.ethz.ch oder tragt euch grad in der Mailinsliste ein. Nur so, damit wir wissen, wieviel Bier eingekauft werden muss...
-
-Homepage: www.orxonox.ethz.ch
-Mailinglisten: 
-https://mail.datacore.ch/mailman/listinfo/orxonox-announce
-https://mail.datacore.ch/mailman/listinfo/orxonox-dev
Index: orxonox/branches/automake/configure
===================================================================
--- orxonox/branches/automake/configure	(revision 1950)
+++ orxonox/branches/automake/configure	(revision 1951)
@@ -274,5 +274,5 @@
 PACKAGE_BUGREPORT='orxonox-dev@mail.datacore.ch'
 
-ac_unique_file="console/orxonox_console_entry.cc"
+ac_unique_file="."
 # Factoring default headers for most tests.
 ac_includes_default="\
Index: orxonox/branches/automake/configure.ac
===================================================================
--- orxonox/branches/automake/configure.ac	(revision 1950)
+++ orxonox/branches/automake/configure.ac	(revision 1951)
@@ -4,5 +4,5 @@
 AC_PREREQ(2.59)
 AC_INIT(orxonox, 0.1-pre-alpha, orxonox-dev@mail.datacore.ch)
-AC_CONFIG_SRCDIR([console/orxonox_console_entry.cc])
+AC_CONFIG_SRCDIR([.])
 AC_CONFIG_HEADER([config.h])
 AM_INIT_AUTOMAKE
Index: orxonox/branches/automake/console/Makefile.am
===================================================================
--- orxonox/branches/automake/console/Makefile.am	(revision 1950)
+++ orxonox/branches/automake/console/Makefile.am	(revision 1951)
@@ -1,4 +1,7 @@
-AM_CFLAGS=`pkg-config --cflags gtk+-2.0`
-AM_LDFLAGS=`pkg-config --libs  gtk+-2.0`
+#AM_CFLAGS="-I FUCK_YOU"
+#`pkg-config --cflags gtk+-2.0`
+#AM_LDFLAGS="test"
+CFLAGS="-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include"
+#`pkg-config --libs  gtk+-2.0`
 
 bin_PROGRAMS=console
Index: orxonox/branches/automake/console/Makefile.in
===================================================================
--- orxonox/branches/automake/console/Makefile.in	(revision 1950)
+++ orxonox/branches/automake/console/Makefile.in	(revision 1951)
@@ -46,5 +46,9 @@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
+
+#AM_CFLAGS="-I FUCK_YOU"
+#`pkg-config --cflags gtk+-2.0`
+#AM_LDFLAGS="test"
+CFLAGS = "-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include"
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
@@ -110,7 +114,6 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-AM_CFLAGS = `pkg-config --cflags gtk+-2.0`
-AM_LDFLAGS = `pkg-config --libs  gtk+-2.0`
-
+
+#`pkg-config --libs  gtk+-2.0`
 bin_PROGRAMS = console
 console_SOURCES = orxonox_console.cc orxonox_console_entry.cc orxonox_console_log.cc