Index: code/branches/objecthierarchy/src/core/CMakeLists.txt
===================================================================
--- code/branches/objecthierarchy/src/core/CMakeLists.txt	(revision 1960)
+++ code/branches/objecthierarchy/src/core/CMakeLists.txt	(revision 1961)
@@ -6,5 +6,5 @@
   GameState.cc
   Language.cc
-  Luabind.cc
+  LuaBind.cc
   ObjectListBase.cc
   OrxonoxClass.cc
Index: code/branches/objecthierarchy/src/core/LuaBind.cc
===================================================================
--- code/branches/objecthierarchy/src/core/LuaBind.cc	(revision 1960)
+++ code/branches/objecthierarchy/src/core/LuaBind.cc	(revision 1961)
@@ -215,5 +215,5 @@
       bool bInPrintFunction = true;
       size_t start = 0;
-      size_tend = 0;
+      size_t end = 0;
 
       do
Index: code/branches/objecthierarchy/src/orxonox/objects/DistanceTrigger.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/DistanceTrigger.cc	(revision 1960)
+++ code/branches/objecthierarchy/src/orxonox/objects/DistanceTrigger.cc	(revision 1961)
@@ -71,5 +71,5 @@
   void DistanceTrigger::addTargets(std::string targets)
   {
-    Identifier* targetId = ID(targets);
+    Identifier* targetId = ClassByString(targets);
     targetMask_.include(targetId);
     // trigger shouldn't react on itself or other triggers
@@ -80,5 +80,5 @@
   void DistanceTrigger::removeTargets(std::string targets)
   {
-    Identifier* targetId = ID(targets);
+    Identifier* targetId = ClassByString(targets);
     targetMask_.exclude(targetId);
   }
Index: code/branches/objecthierarchy/src/orxonox/objects/Script.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Script.cc	(revision 1960)
+++ code/branches/objecthierarchy/src/orxonox/objects/Script.cc	(revision 1961)
@@ -30,8 +30,8 @@
 #include "Script.h"
 
+#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
 #include "core/LuaBind.h"
-#include "core/Debug.h"
 
 namespace orxonox
Index: code/branches/objecthierarchy/src/orxonox/objects/Trigger.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Trigger.cc	(revision 1960)
+++ code/branches/objecthierarchy/src/orxonox/objects/Trigger.cc	(revision 1961)
@@ -31,5 +31,5 @@
 
 #include <OgreBillboard.h>
-#include "core/Debug.h"
+#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/ConsoleCommand.h"
@@ -39,5 +39,5 @@
 {
 
-  ConsoleCommand(Trigger, setVisibility, AccessLevel::Debug, false).setDefaultValues(0);
+  SetConsoleCommand(Trigger, setVisibility, false).accessLevel(AccessLevel::User).defaultValues(0);
 
   CreateFactory(Trigger);
@@ -74,7 +74,7 @@
   {
     if(bVisible)
-      this->setScale(2,2,2);
+      this->setScale(2);
     else
-      this->setScale(0,0,0);
+      this->setScale(0);
   }
 
@@ -84,5 +84,5 @@
       return NULL;
 
-    std::set<Trigger*>::iterator it;
+    std::set<Trigger*>::const_iterator it;
     it = children_.begin();
 
@@ -226,5 +226,7 @@
     //XMLPortParamLoadOnlyTemplate(Trigger, "mode", setMode, xmlelement, mode, std::string);
 
-    XMLPortObject(Trigger, Trigger, "", addTrigger, getTrigger, xmlelement, mode, false, true);
+    // what are those last two parameters?
+    //XMLPortObject(Trigger, Trigger, "", addTrigger, getTrigger, xmlelement, mode, false, true);
+    XMLPortObject(Trigger, Trigger, "", addTrigger, getTrigger, xmlelement, mode);
 
     this->init();
Index: code/branches/objecthierarchy/src/orxonox/objects/Trigger.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Trigger.h	(revision 1960)
+++ code/branches/objecthierarchy/src/orxonox/objects/Trigger.h	(revision 1961)
@@ -35,5 +35,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "WorldEntity.h"
+#include "worldentities/PositionableEntity.h"
 
 #include "../tools/BillboardSet.h"
@@ -48,5 +48,5 @@
   };
 
-  class _OrxonoxExport Trigger : public WorldEntity
+  class _OrxonoxExport Trigger : public PositionableEntity
   {
     public:
Index: code/branches/objecthierarchy/visual_studio/vc8/core.vcproj
===================================================================
--- code/branches/objecthierarchy/visual_studio/vc8/core.vcproj	(revision 1960)
+++ code/branches/objecthierarchy/visual_studio/vc8/core.vcproj	(revision 1961)
@@ -173,4 +173,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\core\LuaBind.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\core\OrxonoxClass.cc"
 				>
@@ -178,8 +182,4 @@
 			<File
 				RelativePath="..\..\src\core\RootGameState.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Script.cc"
 				>
 			</File>
@@ -405,4 +405,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\core\LuaBind.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\core\OrxonoxClass.h"
 				>
@@ -410,8 +414,4 @@
 			<File
 				RelativePath="..\..\src\core\RootGameState.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Script.h"
 				>
 			</File>
Index: code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj	(revision 1960)
+++ code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj	(revision 1961)
@@ -200,4 +200,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\DistanceTrigger.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Radar.cc"
 					>
@@ -212,5 +216,13 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\Script.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Tickable.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\Trigger.cc"
 					>
 				</File>
@@ -536,4 +548,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\DistanceTrigger.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Radar.h"
 					>
@@ -548,5 +564,13 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\Script.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Tickable.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\Trigger.h"
 					>
 				</File>